waffle.servlet

## Class CorsAwareNegotiateSecurityFilter

- java.lang.Object
- - waffle.servlet.NegotiateSecurityFilter
  - - waffle.servlet.CorsAwareNegotiateSecurityFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class CorsAwareNegotiateSecurityFilter
    extends NegotiateSecurityFilter
    implements javax.servlet.Filter

The Class CorsAwareNegotiateSecurityFilter.

### Constructor Summary

Constructors
Constructor and Description
`CorsAwareNegotiateSecurityFilter()` Instantiates a new negotiate security filter.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class waffle.servlet.NegotiateSecurityFilter

`getAuth, getPrincipalFormat, getProviders, getRoleFormat, isAllowGuestLogin, isImpersonate, setAuth, setImpersonate, setPrincipalFormat, setRoleFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CorsAwareNegotiateSecurityFilter

    public CorsAwareNegotiateSecurityFilter()

Instantiates a new negotiate security filter.

### Method Detail

#### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Overrides:
  `init` in class `NegotiateSecurityFilter`
Throws:
  `javax.servlet.ServletException`

#### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Overrides:
  `doFilter` in class `NegotiateSecurityFilter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`
Overrides:
  `destroy` in class `NegotiateSecurityFilter`